'use strict';

var ReactQuerystringRouter = require('react-querystring-router'),
    ComponentPlayground = require('react-component-playground'),
    getComponentFixtures = require('./get-component-fixtures.js');

var getTitleForFixture = function getTitleForFixture(params) {
  var title = 'React Cosmos';

  // Set document title to the name of the selected fixture
  if (params.component && params.fixture) {
    title = params.component + ':' + params.fixture + ' – ' + title;
  }

  return title;
};

module.exports = function (components, fixtures) {
  return new ReactQuerystringRouter.Router({
    container: document.body.appendChild(document.createElement('div')),
    defaultProps: {
      components: getComponentFixtures(components, fixtures)
    },
    getComponentClass: function getComponentClass() {
      return ComponentPlayground;
    },
    onChange: function onChange(params) {
      document.title = getTitleForFixture(params);
    }
  });
};